package com.zego.ktvchorus.rtc.callbacks;

import com.zego.ktvchorus.model.HostSEIInfo;
import com.zego.ktvchorus.model.UserDataMonitorInfo;
import com.zego.ktvchorus.model.UserInfo;

import java.util.List;

import im.zego.zegoexpress.constants.ZegoRemoteDeviceState;

public interface IEventCallback {

    /**
     * 成员状态变更通知
     */
    void onUserListUpdate(List<UserInfo> userList);

    /**
     * SEI消息回调
     *
     * @param streamId
     * @param info
     */
    void onPlayerRecvSEI(String streamId, HostSEIInfo info);

    /**
     * @param stopType // 0是点击停止 1是切换停止
     */
    void onMusicStop(String stopType);

    void onMusicStart();

    void onPlayQuality(String streamId, UserDataMonitorInfo userDataMonitorInfo);
}