package com.zego.ktvchorus.model;

public enum ZGRoomIdentifier {
    ZGRoomAudience(1),
    ZGRoomAnchor(2);

    private int value;

    private ZGRoomIdentifier(int value) {
        this.value = value;
    }

    public int value() {
        return this.value;
    }

    public static ZGRoomIdentifier getKTVRole(int value) {
        if (ZGRoomAudience.value == value) {
            return ZGRoomAudience;
        } else {
            return ZGRoomAnchor.value == value ? ZGRoomAnchor : null;
        }
    }
}
