package com.zego.ktvchorus.rtc;


import java.util.ArrayList;

/**
 * 分发器
 */
public interface BaseFileDownloadDelivery {

    /**
     * 添加回调
     *
     * @param tag
     * @param fileDownloadStateListener
     */
    void addFileDownloadListener(String tag, FileDownloadStateListener fileDownloadStateListener);

    /**
     * 移除回调
     *
     * @param tag
     */
    void removeFileDownloadListener(String tag);


    void removeFileDownloadListener(FileDownloadStateListener listener);

    /**
     * 获得具体回调实例
     *
     * @param tag
     * @return
     */
    FileDownloadStateListener getFileDownloadListener(String tag);

    /**
     * 获得具体回调实例
     *
     * @param tag
     * @return
     */
    ArrayList<FileDownloadStateListener> getFileDownloadListeners(String tag);


}
